import javax.swing.JOptionPane;

public class Christkind {
    public static void main(String[] args) {
        String einlesenArray = JOptionPane
                .showInputDialog("Anzahl an Geschenken pro Lagerort: ");
        int[] geschenkeProLagerort = Konverter
                .konvertiereZuIntArray(einlesenArray);

        String einlesenArray2 = JOptionPane.showInputDialog(
                "Anzahl an Kindern zwischen " + "zwei Lagerorten: ");
        int[] geschenkeAbzugeben = Konverter
                .konvertiereZuIntArray(einlesenArray2);

        for (int startpunkt = 0; startpunkt < geschenkeProLagerort.length;
                startpunkt++) {
            boolean rundtourMoeglich = istRundtourMoeglich(startpunkt,
                    geschenkeProLagerort, geschenkeAbzugeben);

            if (rundtourMoeglich) {
                System.out.println(
                        "Rundtour ab Startpunkt " + startpunkt + " moeglich.");
            }
            else {
                System.out.println("Rundtour ab Startpunkt " + startpunkt
                        + " NICHT moeglich.");
            }
        }
    }

    private static boolean istRundtourMoeglich(int startpunkt,
            int[] geschenkeProLagerort, int[] geschenkeAbzugeben) {

        int anzahlGeschenkeImSchlitten = 0;
        int anzahlLagerorte = geschenkeProLagerort.length;

        for (int i = startpunkt; i < (startpunkt + anzahlLagerorte); i++) {
            anzahlGeschenkeImSchlitten = anzahlGeschenkeImSchlitten
                    + geschenkeProLagerort[i % anzahlLagerorte];
            anzahlGeschenkeImSchlitten = anzahlGeschenkeImSchlitten
                    - geschenkeAbzugeben[i % anzahlLagerorte];
            if (anzahlGeschenkeImSchlitten < 0) {
                return false;
            }
        }
        return true;
    }
}
